Subject: Re: ISSUE: Possibility to use non-resolvable domain name as path-identity

From: "Charles Lindsey" <[email-masked]>
Date: Mon, 2 Apr 2007 13:19:09 GMT

In <[email-masked]> Frank Ellermann <[email-masked]> writes:

>Charles Lindsey wrote:

>> And all I am asking is that it SHOULD resolve.

>For which query types (apart from soa and ns) ?  A type 99 record
>"v=spf1 -all" won't help for the purposes of news (in fact it would
>be very near to pointless without a corresponding SMTP server, MTAs
>can reject MAIL FROM:<[email-masked]> if
>there's no IP and no MX, without wasting time for SPF checks).

Even NS would be interesting, if there is nothing else.

>SRV or similar records could be interesting, if the "news-servers"
>at example.com wish to enumerate their hosts news17, etc.  That's
>only a future possibility mentioned in the "URI" I-D so far, and
>it's unrelated to any "SHOULD resolve (some query types TBD)".

>> Then if it doesn't, it immediately draws attention to itself as a
>> cause for suspicion.

>I don't recall a single case where I tried `nslookup -q=any` for a
>path identity, and I looked into the peering database a few times
>while trying to figure out path header fields.  Admittedly I'm more
>interested in mail abuse today.

Actually, I quite often use ANY (with 'dig' rather than 'nslookuop') when
I am not quite sure what I am looking for.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5